Commit f9d5da79 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Make it compile against qt5.15

parent 24d60071
...@@ -106,7 +106,11 @@ PluginSelection::PluginSelection(KConfigSkeleton::ItemString *item, QWidget *par ...@@ -106,7 +106,11 @@ PluginSelection::PluginSelection(KConfigSkeleton::ItemString *item, QWidget *par
"Select the plugin from this drop down list to be used as the " "Select the plugin from this drop down list to be used as the "
"initial plugin each time Kontact is started. Otherwise, Kontact " "initial plugin each time Kontact is started. Otherwise, Kontact "
"will restore the last active plugin from the previous usage.")); "will restore the last active plugin from the previous usage."));
#if QT_VERSION < QT_VERSION_CHECK(5, 15, 0)
connect(mPluginCombo, qOverload<int>(&QComboBox::currentIndexChanged), this, &PluginSelection::changed); connect(mPluginCombo, qOverload<int>(&QComboBox::currentIndexChanged), this, &PluginSelection::changed);
#else
connect(mPluginCombo, qOverload<int, const QString &>(&QComboBox::currentIndexChanged), this, &PluginSelection::changed);
#endif
} }
PluginSelection::~PluginSelection() PluginSelection::~PluginSelection()
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment